<?php
/*
 * Main constants
 */

//Checking
if( $_SERVER[ 'SERVER_NAME' ] == 'localhost' ){

	//Defining the base dir root
	define( 'BASE_DIR_ROOT', '/Library/WebServer/Documents/adeltec' );
	//Defining the base dir
	define( 'BASE_DIR', BASE_DIR_ROOT );
	//Defining the base url
	define( 'BASE_URL', 'http://localhost/adeltec' );
	//Defining the repository's base url
	define( 'BASE_URL_REPOSITORY', 'http://www.adeltec.com.br/files' );

	//Defining the database address
	define( 'DB_ADDRESS', 'localhost' );
	//Defining the database base
	define( 'DB_BASE', 'adeltec' );
	//Defining the database port
	define( 'DB_PORT', 3306 );
	//Defining the database user
	define( 'DB_USER', 'root' );
	//Defining the database password
	define( 'DB_PASSWORD', '' );

	//Defining the debug
	define( 'DEBUG', true );

	//Defining if is to minify the html
	define( 'HTML_MINIFY', false );

	//Defining the metadata's path
	define( 'METADATA', '/Library/WebServer/Documents/adeltec/metadata/metadata.php' );

	//Checking
	if( file_exists( METADATA ) )
		//Including
		require( METADATA );

}else{

	//Defining the base dir root
	define( 'BASE_DIR_ROOT', '/home/adeltec1/public_html' );
	//Defining the base dir
	define( 'BASE_DIR', BASE_DIR_ROOT );
	//Defining the base url
	define( 'BASE_URL', 'http://www.adeltec.com.br' );
	//Defining the repository's base url
	define( 'BASE_URL_REPOSITORY', BASE_URL .'/files' );

	//Defining the debug
	define( 'DEBUG', false );

	//Defining if is to minify the html
	define( 'HTML_MINIFY', true );

	//including the project's constant
	require( BASE_DIR_ROOT . '/setting/constant.php' );

}

//Defining the assets's base dir
define( 'BASE_DIR_ASSETS', BASE_DIR . '/assets' );
//Defining the template's base dir
define( 'BASE_DIR_TEMPLATE', BASE_DIR_ASSETS . '/html' );
//Defining the repository's base dir
define( 'BASE_DIR_REPOSITORY', BASE_DIR_ROOT . '/files' );

//Defining the image's base url
define( 'BASE_URL_IMG', BASE_URL . '/assets/img' );
//Definng the script's base url
define( 'BASE_URL_JS', BASE_URL . '/assets/js' );
//Defining the style's base url
define( 'BASE_URL_CSS', BASE_URL . '/assets/css' );

//Defining the waiting's status
define( 'STATUS_WAITING', 1 );

//Defining the origin as home
define( 'SOURCE_SITE_HOME', 1 );
//Defining the origin as internal
define( 'SOURCE_SITE_INTERNAL', 2 );

//Defining the answer's type as client
define( 'ANSWER_CLIENT', 1 );

//Defining the contact's destination
define( 'DESTINATION_CONTACT', 1 );
//Defining the facebook's leads destination
define( 'DESTINATION_LEAD_FACEBOOK', 2 );
//Defining the proposal's destination
define( 'DESTINATION_PROPOSAL', 3 );
//Defining the order's destination
define( 'DESTINATION_ORDER', 4 );

//Defining the captcha's URL
define( 'CAPTCHA_URL', 'https://www.google.com/recaptcha/api/siteverify' );
//Defining the captcha's key
define( 'CAPTCHA_KEY', '6LdSAmAUAAAAAAP9FxV_LXE6U_25SCl4aK3Kh88e' );
//Defining the captcha's site key
define( 'CAPTCHA_KEY_SITE', '6LdSAmAUAAAAAMpNgVSUNLe6V4D62Q1iksUUcSHI' );

//Defining the HASH
define( 'HASH', 'Ad3Lt3C!!f3!o7' );
//Defining the project's name
define( 'PROJECT_NAME', 'Adeltec' );
//Defining the system's name
define( 'SYSTEM_NAME', 'Controle' );
//Defining the system's url
define( 'SYSTEM_URL', 'https://controle.io' );

//Defining the email's server
define( 'EMAIL_SERVER', 'server6.servhost.com.br' );
//Defining the email's port
define( 'EMAIL_PORT', 465 );
//Defining the email's security
define( 'EMAIL_SECURITY', 'ssl' );
//Defining the email
define( 'EMAIL', 'naoresponda@adeltec.com.br' );
//Defining the email's password
define( 'EMAIL_PASSWORD', 'tCx]a!wPYaJR' );
//Defining the e-mails's return path
define( 'EMAIL_RETURN_PATH', null );